import { getURLwithArgs } from '@/utils/common.js'
import { mapState } from 'vuex'
import { baseUrl } from '@/config/index.js'
const common_share = {
	computed: {
		...mapState({
			storeInfo: state => state.user.storeInfo
		}),
		
		judgePages() {
			const path = getURLwithArgs()
			let imageUrl = ''
			let title = this.storeInfo.shop_name
			if(path && path.startsWith('pages/goods/detail')) {
				imageUrl = (this.detail && this.detail.goods_thumb) ? `${baseUrl}/${this.detail.goods_thumb}` : ''
				title = this.detail ? this.detail.goods_name : ''
			}
			return {
				path, imageUrl, title
			}
		}
	},
	
	onShareAppMessage() {
		return this.judgePages
	},
	
	onShareTimeline() {
		return this.judgePages
	}
}

export default common_share