import { request } from "@/lib/service"

/**
 * @desc 查询用户待评价sku商品评论列表接口
 */
export function unCommentList() {
	return request({
		url: 'zsxcx/getDpjComments.htm',
		method: 'post'
	})
}

/**
 * @desc 查询用户已评价sku商品评论列表接口
 */
export function hadCommentList() {
	return request({
		url: 'zsxcx/getYpjComments.htm',
		method: 'post'
	})
}

/**
 * @desc 获取商品评论列表接口
 */
export function commentList(params) {
	return request({
		url: 'zsxcx/getGoodsComments.htm',
		method: 'post',
		data: params
	})
}